{
TFile f1("simpletree.root");
TTree *t1 = (TTree*)f1.Get("tree");

const Float_t qcut = 200.0;

//Float_t count;
float count;
 int nall=0;
 int nselected=0;
 
 t1->SetBranchAddress("count", &count);
 
 Int_t nevts = t1->GetEntries();
 
 cout << " Total number of events = " << nevts << endl;
 
 for( int i = 0; i < nevts; i++) {
   t1->GetEntry(i);   
   nall++;
   if (count > qcut){
     nselected++;
   } 
 }
 
cout << "Selected events: " << nselected << endl;
 
}
