#include "TTree.h"
#include "TFile.h"
#include <fstream>
#include <iostream>
#include <string>

using namespace std;

int main(int argc, char** argv)
{
  TFile fout("simpletree.root","RECREATE");

  TTree *tree;
  
  Float_t count;

  tree = new TTree("tree","Simple tree");
  TBranch* br = tree->Branch("count", &count, "count/F");
  
  char buffer[1024];
  
  for (int i = 0 ; i< 500 ; i++) {    
    count = ((float)i)*1.02;
    tree->Fill();
  }
  tree->Write();
  fout.Close();
  
  return 0; 
}

