{
TFile f1("simpletree.root");
TTree *t1 = (TTree*)f1.Get("tree");

ofstream fout("simpletree.txt");

const Float_t qcut = 200.0;

//Float_t count;
float count;

t1->SetBranchAddress("count", &count);

TH1F *h_all = new TH1F("h_all","h_all",550,0.0,550.0);
TH1F *hkept = new TH1F("hkept","hkept",550,0.0,550.0);
TH1F *heffic = new TH1F("heffic","heffic",550,0.0,550.0);

Int_t nevts = t1->GetEntries();

 cout << " Total number of events = " << nevts << endl;
 
 for( int i = 0; i < nevts; i++) {
   t1->GetEntry(i);
   
   h_all->Fill(count);
   fout << count << endl;
   if (count > qcut){
     fout << "*" << count << endl;
     hkept->Fill(count);
   } 
 }
 
fout.close();
heffic->Divide(hkept,h_all);

cout << "Events in denominator: " << h_all->GetEntries() << endl;
cout << "Events in numerator: " << hkept->GetEntries() << endl;


 TCanvas* C = new TCanvas();
 C->Divide(2);
 C->cd(1);
 hkept->Draw("");
 C->cd(2);
 heffic->Draw("");
 
}
